Bug 483868 - Review Request: iscan-firmware - Firmware for Epson flatbed scanners
Review Request: iscan-firmware - Firmware for Epson flatbed scanners
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Lemenkov
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-03 20:12 EST by Dominik 'Rathann' Mierzejewski
Modified: 2015-01-13 10:22 EST (History)
4 users (show)

See Also:
Fixed In Version: 2.1.0-3.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-04 11:24:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lemenkov: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Dominik 'Rathann' Mierzejewski 2009-02-03 20:12:57 EST
Spec URL: http://rathann.fedorapeople.org/review/iscan-firmware.spec
SRPM URL: http://rathann.fedorapeople.org/review/iscan-firmware-2.16.0-1.fc9.src.rpm
Description:
Firmware for the following Epson flatbed scanners:

* GT-1500 / GT-D1000
* Perfection 2480/2580 PHOTO / GT-F500
* Perfection 3170 PHOTO / GT-9400
* Perfection 3490 PHOTO / GT-F520
* Perfection 4180 PHOTO / GT-F600
* Perfection 4490 PHOTO / GT-X750
* Perfection V10/V100 PHOTO / GT-S600
* Perfection V200 PHOTO / GT-F670
* Perfection V30/V300 / GT-F720 / GT-S620
* Perfection V350 PHOTO / GT-F700
* Perfection V500 PHOTO / GT-X770
Comment 1 Peter Lemenkov 2009-02-04 03:57:35 EST
I'll review it.
Comment 2 Peter Lemenkov 2009-02-04 04:12:08 EST
Remarks:

* No idea what is AVASYS Public License (rpmlint also shouts that it doesn't know what is it), however it looks like "Distributable, No Modifications Permitted".

* I found that there are different versions of AVASYS Public License - dated as 2008-04-01 and as 2005-04.01.

* There is also another one license, named LICENSE.EPSON.{en,ja}.txt. 

* Missing BR: udev ( rpm -qf /lib/firmware )
Comment 3 Peter Lemenkov 2009-03-01 03:52:35 EST
Ping, Dominik.
Comment 4 Dominik 'Rathann' Mierzejewski 2009-03-01 06:02:37 EST
(In reply to comment #2)
> Remarks:
> 
> * No idea what is AVASYS Public License (rpmlint also shouts that it doesn't
> know what is it), however it looks like "Distributable, No Modifications
> Permitted".

Fixed.

> * I found that there are different versions of AVASYS Public License - dated as
> 2008-04-01 and as 2005-04.01.

They're almost identical. The only change is s/EPSON AVASYS/AVASYS/g.
Still, included.

> * There is also another one license, named LICENSE.EPSON.{en,ja}.txt. 

Included.

> * Missing BR: udev ( rpm -qf /lib/firmware )

It's not necessary for building, but indeed it should be required for installation to ensure that /lib/firmware is present before installation.

http://rathann.fedorapeople.org/review/iscan-firmware.spec
http://rathann.fedorapeople.org/review/iscan-firmware-2.16.0-2.fc9.src.rpm
Comment 5 Peter Lemenkov 2009-03-01 09:49:55 EST
REVIEW:

+ rpmlint is silent
+ The package is named according to the Package Naming Guidelines.
+ The spec file name matches the base package %{name}, in the format %{name}.spec.
+ The package meets the Packaging Guidelines .
+ The package is licensed with a Fedora approved license and meets the Licensing Guidelines .
+ The License field in the package spec file matches the actual license.
+ The file, containing the text of the license(s) for the package, is included in %doc.
+ The spec file is written in American English.
+ The spec file for the package is legible.
+ The sources used to build the package must match the upstream source, as provided in the spec URL.

[petro@Sulaco SOURCES]$ md5sum `ls iscan-plugin-gt-*|sort`
ed12335648c893eda194afee38e51351  iscan-plugin-gt-1500-2.1.0-2.c2.i386.rpm
ed12335648c893eda194afee38e51351  iscan-plugin-gt-1500-2.1.0-2.c2.i386.rpm.from_srpm
f76725766f44debe3f3fec06d0e2023b  iscan-plugin-gt-9400-1.0.0-1.c2.i386.rpm
f76725766f44debe3f3fec06d0e2023b  iscan-plugin-gt-9400-1.0.0-1.c2.i386.rpm.from_srpm
8b1c398ef58769d9ceb77ad771515de3  iscan-plugin-gt-f500-1.0.0-1.c2.i386.rpm
8b1c398ef58769d9ceb77ad771515de3  iscan-plugin-gt-f500-1.0.0-1.c2.i386.rpm.from_srpm
b72a512a927b9f2020af817c5a541ae8  iscan-plugin-gt-f520-1.0.0-1.c2.i386.rpm
b72a512a927b9f2020af817c5a541ae8  iscan-plugin-gt-f520-1.0.0-1.c2.i386.rpm.from_srpm
5f4137fd69198617b95bd59261affd75  iscan-plugin-gt-f600-1.0.0-1.c2.i386.rpm
5f4137fd69198617b95bd59261affd75  iscan-plugin-gt-f600-1.0.0-1.c2.i386.rpm.from_srpm
bb623b47fd457e94f8d6b878b5d9ad99  iscan-plugin-gt-f670-2.0.0-1.c2.i386.rpm
bb623b47fd457e94f8d6b878b5d9ad99  iscan-plugin-gt-f670-2.0.0-1.c2.i386.rpm.from_srpm
cf191e84b03b28a8b0f629d60ba0b36e  iscan-plugin-gt-f700-2.0.0-0.c2.i386.rpm
cf191e84b03b28a8b0f629d60ba0b36e  iscan-plugin-gt-f700-2.0.0-0.c2.i386.rpm.from_srpm
bda9d1dfe5c9524084b01e46a7a9f5e3  iscan-plugin-gt-s600-2.0.0-1.c2.i386.rpm
bda9d1dfe5c9524084b01e46a7a9f5e3  iscan-plugin-gt-s600-2.0.0-1.c2.i386.rpm.from_srpm
02c151a49608ae911b1e200672ed236f  iscan-plugin-gt-x750-1.0.0-1.c2.i386.rpm
02c151a49608ae911b1e200672ed236f  iscan-plugin-gt-x750-1.0.0-1.c2.i386.rpm.from_srpm
c33515ec3e57eed680cd599452141d45  iscan-plugin-gt-x770-2.1.0-1.c2.i386.rpm
c33515ec3e57eed680cd599452141d45  iscan-plugin-gt-x770-2.1.0-1.c2.i386.rpm.from_srpm
[petro@Sulaco SOURCES]$

+ The package successfully compiles and builds into binary rpms on at least one primary architecture:

http://koji.fedoraproject.org/koji/taskinfo?taskID=1210911

+ No additional build dependencies.
+ The package owns all directories that it creates.
+ The package does not contain any duplicate files.
+ Permissions on files are set properly.
+ Each package must have a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
+ The package consistently uses macros.
+ The package contains code, or permissible content.
+ No large documentation files.
+ Everything, the package includes as %doc, does not affect the runtime of the application.
+ No header files.
+ No static libraries.
+ No pkgconfig(.pc) files.
+ No libraries files with a suffix.
+ No .la libtool archives.
+ Not a GUI application.
+ The package does not own files or directories already owned by other packages.
+ At the beginning of %install, the package runs rm -rf %{buildroot} (or $RPM_BUILD_ROOT). [25]
+ All filenames in the package are valid UTF-8.


This package is


APPROVED
Comment 6 Dominik 'Rathann' Mierzejewski 2009-03-02 12:27:41 EST
New Package CVS Request
=======================
Package Name: iscan-firmware
Short Description: Firmware for Epson flatbed scanners
Owners: rathann
Branches: F-9 F-10
InitialCC:
Comment 7 Kevin Fenzi 2009-03-02 19:22:47 EST
cvs done.
Comment 8 Fedora Update System 2009-03-03 12:15:50 EST
iscan-firmware-2.1.0-3.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/iscan-firmware-2.1.0-3.fc10
Comment 9 Fedora Update System 2009-03-03 12:16:31 EST
iscan-firmware-2.1.0-3.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/iscan-firmware-2.1.0-3.fc9
Comment 10 Fedora Update System 2009-03-04 11:24:03 EST
iscan-firmware-2.1.0-3.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2009-03-04 11:29:10 EST
iscan-firmware-2.1.0-3.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Simone Caronni 2015-01-13 10:19:56 EST
Package Change Request
======================
Package Name: iscan-firmware
New Branches: el6 epel7
Owners: slaanesh
Comment 13 Gwyn Ciesla 2015-01-13 10:22:13 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.